#ifndef __VIEWER_SYSLOG_H
#define __VIEWER_SYSLOG_H

#include <vdr/menuitems.h>
#include <vdr/menuitems.h>

// --- cMenuViewerSyslogItem ------------------------------------------------------
class cMenuViewerSyslogItem : public cOsdItem {
private:
  char *szName;
  char *szFile;
public:
  cMenuViewerSyslogItem(const char *name, const char *text);
  ~cMenuViewerSyslogItem();
  void Set(void);
  int Compare(const cListObject &ListObject) const;
  char *GetFile();
};

// --- cMenuViewerSyslog ---------------------------------------------------------
class cMenuViewerSyslog : public cOsdMenu {
private:
  char *Filename;
  char *Syslog;
  bool *bSubMenuOk;
  bool ParseSyslogConfig();
public:
  cMenuViewerSyslog(const char *Title, char *filename, char *syslog, bool *bSubMenuOK);
  virtual ~cMenuViewerSyslog();
  virtual eOSState ProcessKey(eKeys Key);
};

#endif
